window.Gleam.initSearch([{"doc":"gloq","title":"gloq","content":"# gloq\n\n[![Package Version](https://img.shields.io/hexpm/v/gloq)](https://hex.pm/packages/gloq)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gloq/)\n![Tests](https://github.com/github/docs/actions/workflows/test.yml/badge.svg)\n\n&gt; [!Note]\n&gt; Library is in its very early stages and not usable. \n\n```sh\ngleam add gloq\n```\n```gleam\nimport gloq\n\npub fn main() {\n  let api_key = &quot;abc123&quot;\n\n  let response =\n    gloq.groq_request(\n      api_key,\n      &quot;user&quot;,\n      &quot;Explain the importance of fast language models&quot;,\n      &quot;llama3-8b-8192&quot;,\n    )\n    \n  io.print(response)\n}\n```\n\nFurther documentation can be found at &lt;https://hex.pm/packages/gloq&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"gloq","title":"groq_request","content":"pub fn groq_request(\n  key: String,\n  user: String,\n  context: String,\n  model: String,\n) -&gt; String\n Makes a request to the GroqCloud API for chat completions.\n\n This function sends a POST request to the Groq API endpoint for chat completions.\n It constructs the request body with the provided user message and context,\n sets the necessary headers including the API key, and handles the response.\n\n Parameters:\n - key: String - The API key for authentication with Groq.\n - user: String - The role of the message sender (e.g., &quot;user&quot; or &quot;system&quot;).\n - context: String - The content of the message or prompt.\n - model: String - The name of the Groq model to use for the completion.\n\n Returns:\n - String - The response body from the API if successful, or an error message if the request fails.\n\n Note: This function uses the hackney HTTP client for making the request.\nSynonyms:\ngloq.groq_request\ngloq groq_request","url":"gloq.html#groq_request"},{"doc":"gloq","title":"gloq","content":"","url":"gloq.html"}]);